EDIT - feature request #8175

add name facts to cdm light export
03/12/2019 01:04 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

We decided to keep the name facts in cdm, so the name facts should be exported as well

Related issues:

Related to EDIT - bug #6627: Remaining cdm light issues Closed

Associated revisions

Revision 852a1a9e - 03/12/2019 01:06 PM - Katja Luther
fix #8175: name facts should be exported by cdm light export

Revision 24b61cf8 - 03/13/2019 12:51 PM - Katja Luther

ref #8175: name facts in a separate table

Revision 4bdb6c0d - 04/15/2019 03:53 PM - Katja Luther
fix #8175: name facts should be exported by cdm light export

Revision 68eaf974 - 04/15/2019 03:53 PM - Katja Luther

ref #8175: name facts in a separate table

History

#1 - 03/12/2019 01:06 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|852a1a9e5171370a8e3e6962b21837e38115¢f9a.

#2 - 03/12/2019 01:06 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#3 - 03/12/2019 01:07 PM - Katja Luther
- Related to bug #6627: Remaining cdm light issues added

#4 - 03/13/2019 12:52 PM - Katja Luther

the name facts are moved to their own table.

#5 - 04/03/2019 06:48 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther

please do first review on nightly

#6 - 04/05/2019 09:07 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/852a1a9e5171370a8e3e6962b21837e38115cf9a

tested on nighlty with rem_conf_am:

created a namefact for Dianthella and exported subtree of Facchinia in classification Testclass.
the namefact was exported to the csv file NameFact and the source to FactSources

#7 - 04/05/2019 11:22 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

| think if you have tested it intensively it may be correct. For me it would take a lot of time to test.

Only question | have is if you have tested that protologues are handled correctly. | do not remember what the specification is for protologues but
probably they should not go into the ordinary name facts.

If you think protologue handling is correct you may close the ticket.

#8 - 04/05/2019 11:42 AM - Katja Luther
- Status changed from Feedback to Closed
Andreas Muller wrote:
| think if you have tested it intensively it may be correct. For me it would take a lot of time to test.

Only question | have is if you have tested that protologues are handled correctly. | do not remember what the specification is for protologues but
probably they should not go into the ordinary name facts.

If you think protologue handling is correct you may close the ticket.

the protologues are handled like before in the scientific name table as concatenated protologue_uri string

#9 - 04/05/2019 11:42 AM - Katja Luther
- % Done changed from 50 to 100
